Subject: Re: [PATCH 08/12] mpc5121: Added I2C support.

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 07 May 2009 08:36:50 +0200

Grant Likely wrote:
> On Wed, May 6, 2009 at 4:51 PM, Grant Likely <[email-masked]> wrote:
>> On Wed, May 6, 2009 at 4:19 PM, Wolfgang Denk <[email-masked]> wrote:
>>> Dear Grant Likely,
>>>
>>> In message <[email-masked]> you wrote:
>>>> On Wed, May 6, 2009 at 2:15 PM, Wolfgang Denk <[email-masked]> wrote:
>>>>> From: Piotr Ziecik <[email-masked]>
>>>>>
>>>>> - Enabled I2C interrupts on MPC5121.
>>>>> - Updated Kconfig for i2c-mpc driver.
>>>> I think this workaround belongs in the driver itself.
>>> Sorry, I don't get it. Which workaround? What exactly should I change?
>> Sorry, I misread the patch.  Never mind.
> 
> Actually, on 3rd reading, I think my first impression was correct
> (even if I was wrong about it being a workaround).  This code in
> mpc512x_init_i2c() is only relevant for i2c busses (it isn't shared
> with any other drivers).  Therefore, it belongs with the i2c bus
> itself.  It does not belong in platform code.

Right. Furthermore, the i2c-mpc.c should be extened to support bus speed
setting for the MPC512x, which has been merged recently (see commit id
f2bd5efe).

Wolfgang.